//---------------------------------------------------------------------------
// Copyright (c) 1999,2000 Southeastern Universities Research Association,
//                         Continuous Electron Beam Accelerator Facility
//
// This software was developed under a United States Government license
// described in the NOTICE file included as part of this distribution.
//----------------------------------------------------------------------------
//
//  Description:
//      This is a class that extends JTable. The device and property is set 
//      in synchronous. It is possible to insert, replace or delete any of the
//      the devices or properties by readjusting the table to conform to the 
//      needs as the user wishes.
//
//  Author: ?
//
//  Based on work by ?
//                                       
//----------------------------------------------------------------------------
// Revision History:
//

package sdm;

// **************************************************************************
/**
 *This class I just borrowed from cdev because it wasn't there in the copy I 
 *got.
 */
// **************************************************************************

public class CUtility {
    
    public static String makeValidName(String name)
    {
        if (name != null && name.length()==0)
		    name = null; // treat empty string as null
		return name;
	}
    
    public static boolean testNameMatch(String oldName, String newName)
    {
        boolean match = false;
        if (newName == null) {
	        if (oldName == null)
	            match = true;
	    }
		else if (newName.equals(oldName))
		    match = true;
		return match;
	}
}
